llist_head Struct Reference
Simple doubly linked list implementation

(double) linked list header structure More...

`#include <linuxlist.h>`

## Data Fields

struct llist_head * | next
| Pointer to next and previous item. More...
struct llist_head * | prev

## Detailed Description

(double) linked list header structure

## Field Documentation

## next

struct llist_head* llist_head::next

Pointer to next and previous item.

Referenced by __llist_add(), __llist_del(), __llist_splice(), _osmo_fsm_inst_term_children(), _osmo_it_q_dequeue(), item_dequeue(), llist_add(), llist_del(), llist_del_init(), llist_empty(), llist_move(), llist_move_tail(), msgb_dequeue(), osmo_use_count_create(), osmo_use_count_find(), osmo_use_count_make_static_entries(), osmo_use_count_repurpose_zero_entry(), osmo_use_count_to_str_buf(), and osmo_use_count_total().

## prev

struct llist_head * llist_head::prev

Referenced by __llist_add(), __llist_del(), __llist_splice(), llist_add_tail(), llist_del(), llist_del_init(), llist_move(), and llist_move_tail().

The documentation for this struct was generated from the following file:

- include/osmocom/core/linuxlist.h